VirtualBox

Ticket #491 (reopened defect)

Opened 7 years ago

Last modified 3 years ago

iphone not connecting through to itunes on windows guest -> fixed in 2.0.6

Reported by: daishi Owned by:
Priority: major Component: USB
Version: VirtualBox 2.0.0 Keywords:
Cc: Guest type: other
Host type: Linux

Description

i tried virtualbox after encountering the following behavior under vmware:

 http://www.vmware.com/community/thread.jspa?messageID=692925&#692925

but was unsuccessful in syncing to the iphone via itunes.

it appeared that virtualbox had problems with the iphone earlier than vmware, in that windows never acknowledged any usb device at all.

Attachments

WinXP-2007-08-26-23-52-36.log Download (36.4 KB) - added by daishi 7 years ago.
boot, attach iphone, toggle usb button in vbox window, get error msg, shutdown
VBox.log Download (27.6 KB) - added by milli 7 years ago.
Log from Windows XP + SP2 (clean), iTunes 7.4.1 installed, connect iPhone -> ABORT
Windows XP-2008-07-20-12-10-55.log Download (39.2 KB) - added by nohn 6 years ago.
Ubuntu 8.04, Virtualbox 1.6.2, iTunes 7.7, iPhone 1 (2G)

Change History

comment:1 Changed 7 years ago by sandervl73

Which host? Please attach your VM log. Select Machine->Show Log for the right VM in the GUI.

comment:2 Changed 7 years ago by sandervl73

And which windows guest. Please include such basic information in the future if you file bug reports.

Changed 7 years ago by daishi

boot, attach iphone, toggle usb button in vbox window, get error msg, shutdown

comment:3 Changed 7 years ago by daishi

Just added the VM log.

Host is: Ubuntu 7.04 (feisty). Regularly updated. Guest is: Windows XP SP2

Changed 7 years ago by milli

Log from Windows XP + SP2 (clean), iTunes 7.4.1 installed, connect iPhone -> ABORT

comment:4 Changed 7 years ago by milli

I am seeing the same problem with a clean Windows XP + SP2 install, with iTunes 7.4.1. VBox is version 1.5.0 release, obtained via "apt-get" on Ubuntu 7.04 (feisty) after adding the deb line to /etc/apt/sources.list. Connect the iPhone, it makes a "boing" sound, so Windows recognized a USB device was connected, then VBox 1.5.0 just Aborts. No core file. I have Ubuntu configured via a HAL "ignore" entry to not attach any driver for the iPhone. Attached my log file (VBox.log).

comment:5 Changed 6 years ago by aviv

same problems here (win xp sp2 guest, ubuntu gutsy host, 64bit, virtualbox 1.5.2

a bit more info: dmesg shows:

VirtualBox[6899] trap divide error rip:2aaaad1b2679 rsp:41225dc0 error:0

same error every time after virtualbox crashes (once i plugin the iphone)

comment:6 Changed 6 years ago by frank

Ah, interesting detail. Please could you provide a core dump? See  http://www.virtualbox.org/wiki/Core_dump for how to create a core dump.

comment:7 Changed 6 years ago by aviv

even compressed it's 44Mb, and system can't accept it - do you have an ftp so i can upload it?

comment:8 Changed 6 years ago by frank

Hmm, you could use some free provider (e.g.  http://www.file-upload.net/) and tell me the address via private E-mail (frank at innotek.de).

comment:9 Changed 6 years ago by frank

Thanks, got it. Very helpful, investigating...

comment:10 Changed 6 years ago by chronos

Any knews on this issue?

I can confirm this issue too. I am using VirtualBox 1.5.2 on Ubuntu gusty (7.10). I installed a windows XP SP2 guest (Windows Unattended Edition v6  http://www.windowsue.com) and installed iTunes on it. After this, the moment I selected the iphone to connect to the virtual machine, It aborted.

The strange thing, though, was that BEFORE installing iTunes, I could connect the iphone to the VM without problems. It was detected as a regular photo camera but couldn't access any photos... The VM started crashing AFTER installing iTunes.

Is it possible iTunes is responsible por breaking USB support?

comment:11 Changed 6 years ago by kfries6

@chronos - I am seeing the same behavior, with one addition. If I start my VBox Windows instance, with the phone plugged in. And, the VM was configured to understand the iPhone, Windows crashes before logon.

Therefore, building on chronos's observations...

When the phone was first plugged in, Windows jumped through its normal hoops of discovery. It then appeared to install a driver of some sort from the device itself. Could the problem be with that DRIVER and something installed by iTunes. Windows will generally configure a protocol handler in the registry. The phone by itself does not have the handler in place. iTunes runs fine as long as the phone is not attached. So iTunes itself is fine. BUT, once the automatic launch process starts, or iTunes starts its communication with the phone, Windows goes down in an ugly crash.

So, that makes me wonder if it is the actual driver that facilitates the actual communications that could be the problem?

comment:12 Changed 6 years ago by cdunham

Probably related to non-standard Apple USB...

 http://communities.vmware.com/thread/91715?start=90&tstart=0

comment:13 Changed 6 years ago by kfries6

Any shot this may actually be fixed before it gets to 1 year old?

comment:14 Changed 6 years ago by frank

We hope that we can fix several USB-related problems with the next release (1.6). Though no ETA yet.

comment:15 Changed 6 years ago by frank

  • Component changed from other to USB

Changed 6 years ago by nohn

Ubuntu 8.04, Virtualbox 1.6.2, iTunes 7.7, iPhone 1 (2G)

comment:16 Changed 6 years ago by nohn

I can reproduce the same behaviour with Virtualbox 1.6.2, iTunes 7.7 on Ubuntu 8.04

comment:17 Changed 6 years ago by msingh

I can confirm this behaviour with my iPod touch (firmware 1.1.5).

This is with Virtualbox 1.6.2 (the latest version) with Windows XP Professional as guest on Ubuntu Hardy (with all packages up to date).

iTunes version 7.7 (latest).

Initially, when I plugged in the iPod touch, I got a bunch of notifications at the bottom indicating that windows was recognizing the iPod. However, in iTunes, I get a strange error :

Virtualbox, iTunes could not connect to the iPhone because an unknown error occured (0xE8000035)

After the first few times time, windows does not even appear to detect the iPod and iTunes has gone silent as well.

Its a pretty old bug and it would be nice to know what progress is being made on this, if any. What is the culprit here ? I have read that VMware is also showing it up, which suggests that it might be a linux issue of some sort ?

comment:18 in reply to: ↑ description Changed 6 years ago by Morimando

I can also confirm this behaviour with the iPod as well as a Nokia 7900 Prism (i suspect both are having the same problem, since the Nokia PC Suite behaves almost identical to iTunes, not recognizing the Phone when plugged in, although drivers were installed by the Windows guest) If more information is needed, let me know. I would be happy, if this bug was solved/solveable, since VirtualBox is absolutely awesome in any respect!

comment:19 follow-up: ↓ 20 Changed 6 years ago by noname51

I also confirm the same issue. My setup: VirtualBox 1.6.4 iTunes 7.7 iPod Touch firmware 1.1.5

This issue has been going for a long time and for me it is the only reason to boot into native Windows!

Cheers.

comment:20 in reply to: ↑ 19 Changed 6 years ago by Morimando

Replying to noname51:

I also confirm the same issue. My setup: VirtualBox 1.6.4 iTunes 7.7 iPod Touch firmware 1.1.5

This issue has been going for a long time and for me it is the only reason to boot into native Windows!

Cheers.

Forgot to mention that in my previous post: VirtualBox 1.6.4, iPod Firmware 1.5 and iTunes 7.7. The guest OS is Windows XP, host OS is Gentoo Linux amd64 2.6.26

comment:21 Changed 6 years ago by bherrmann7

Confirmed today with iPod touch and VirtualBox 1.6.4 with Guest as Windows Vista

comment:22 Changed 6 years ago by frank

  • Version changed from VirtualBox 1.4.0 to VirtualBox 1.6.2

comment:23 Changed 6 years ago by frank

  • Version changed from VirtualBox 1.6.2 to VirtualBox 1.6.4

comment:24 in reply to: ↑ description Changed 6 years ago by jvboyle

Same issue on Version 2.0 of VirtualBox. Why has vmware gotten this fixed months ago and it still an issue here

comment:25 Changed 6 years ago by frank

  • Version changed from VirtualBox 1.6.4 to VirtualBox 2.0.0

comment:26 Changed 6 years ago by nathan

Same problem here. Windows XP Home in VirtualBox 2.0 on Ubuntu 8.04 64-bit. Can't sync iPhone (which was the only reason I set up a Windows VM at all...). iPhone is recognized by Windows, but not iTunes.

comment:27 Changed 6 years ago by rince

Yes, same problem here as well. Windows XP Professional in VirtualBox 2.0 on Ubuntu 8.04 (32bit). iphone is recognized by Windows, but itunes can't talk to it. :-(

comment:28 Changed 6 years ago by zeddock

VB 2.0 on Hardy 8.04 64-bit.

Looks like this is really becoming a sought-after option through Virtualbox. Is the issue being addressed?

Thanx!

zeddock

comment:29 Changed 6 years ago by georges

In fact, I would think the problem is related to the link speed (USB intimacy), I have the same problem described above with VB 2.0 on XP SP2 guest, when I connect:

  • MP3 Kenwood HD20GA7 (which has a specific interface to relate with the mp3 to encode)

And with my IPAQ 212 in "fast USB mode" (RNDIS), lock and Error message.

The interesting point is that when I switch back to slow USB (serial), then it works fine! Of course for my IPAQ I connect only in "serial" (Slow mode), but for my Mp3 I am stuck (no option to go slower).

=> I had hoped the 2.0 would solve the issue but not yet (I tried this morning again).

comment:30 Changed 6 years ago by nohn

Still reproducable with 2.0.2

comment:31 Changed 6 years ago by Matir

Is there any progress on this bug? I really like VirtualBox, and I'm not as big a fan of VMWare, but if I want to be able to access my iPod, it seems like I might have to do that.

comment:32 follow-up: ↓ 34 Changed 6 years ago by sandervl73

  • Host type changed from other to Linux

In case one of you is in for some adventure. The iPhone works if you modify the linux sources and recompile your kernel:

Modify MAX_USBFS_BUFFER_SIZE to 128K in drivers/usb/core/devio.c

We're working on a better solution.

comment:33 Changed 6 years ago by rince

Thank you, thank you, thank you !

This neat trick worked. I recompiled the kernel with the sugeested changes and now it works like a charm !!!

You really saved my day!

comment:34 in reply to: ↑ 32 Changed 6 years ago by Morimando

Replying to sandervl73:

In case one of you is in for some adventure. The iPhone works if you modify the linux sources and recompile your kernel:

Modify MAX_USBFS_BUFFER_SIZE to 128K in drivers/usb/core/devio.c

We're working on a better solution.

Could you please explain that more precisely? Can I just change the line

#define MAX_USBFS_BUFFER_SIZE 16384

to

#define MAX_USBFS_BUFFER_SIZE 128k

? Or do I just enter 128 without the 'k'? Or is it a whole different line? TIA!

comment:35 follow-up: ↓ 36 Changed 6 years ago by rince

Hi sandervl73,

the line is correct I replaced it with

#define MAX_USBFS_BUFFER_SIZE 131072

(128k -> 128x1024)

comment:36 in reply to: ↑ 35 Changed 6 years ago by Morimando

Replying to rince:

Hi sandervl73,

the line is correct I replaced it with

#define MAX_USBFS_BUFFER_SIZE 131072

(128k -> 128x1024)

Jup, that's what i figured, too... and it works. Wanted to add it right now, but I see you beat me to the punch, rince ;) Trying to test whether it works for the Nokia phone as well (which would be awesome), will let you know whether it fixed both issues (though it is not strictly speaking on topic, it might be useful). As for the iPod, the fix seems to work flawlessly, the device is being recognized and synchronized!

comment:37 follow-up: ↓ 38 Changed 6 years ago by zeddock

Shucks! Still to much of a newb to know how to recompile. Anyone want to hold my hand?

Thanx,

zeddock

comment:38 in reply to: ↑ 37 Changed 6 years ago by Morimando

Replying to zeddock:

Shucks! Still to much of a newb to know how to recompile. Anyone want to hold my hand?

Thanx,

zeddock

Sure... I assume you have your kernel sources ready and compiled the kernel you're running yourself, else you might want to google on a "How to compile a kernel" -code, since I don't want to digress too much here. If you have your (configured) kernel ready, navigate (in a console) to /usr/src/linux (if you set a symlink, else /usr/src/linux-2.6.xx). Enter 'nano -w /usr/src/linux/drivers/usb/core/devio.c' and hit CTRL+W to search for 'MAX_USBFS_BUFFER_SIZE'. The first occurence should be #define MAX_USBFS_BUFFER_SIZE 16384. Change this line to #define MAX_USBFS_BUFFER_SIZE 131072 Then CTRL+O and CTRL+X (save and close), navigate to /usr/src/linux and enter 'make && make modules && make modules_install'. After the kernel is recompiled, cp /usr/src/linux/arch/x86_64/boot/bzimage to /boot/kernel-2.6.XX. Also copy the .config and the System.map to /boot/ to have a backup of your settings. Make sure the /boot/kernel-2.6.xx is in /boot/grub/menu.lst (and/or symlink 'vmlinux' is pointing to the 'new' kernel), so that Grub boots the right kernel. Well and then you should be ready (maybe recompile nvidia-drivers and alsa-drivers, depending on your config as well as the virtualbox-modules). Recompiling the nvidia drivers might be necessary, if the kernel changed since the last time it was compiled, alsa drivers are only necessary, if you do not use the in-kernel drivers (like me), which you might want to do if you have a HD audio chip that doesn't work ootb. You may email me, if you've got further questions. I also want to add that my Nokia now works flawlessly inside the VirtualBox, thanks so much for the fix, guys!

comment:39 follow-up: ↓ 41 Changed 6 years ago by jjbudd3

I have tried to just compile the usbcore.ko module, but this did not work. Why should it be necessary to re-compile the entire kernel when the code is contained only in the module? JJB

comment:40 Changed 6 years ago by jjbudd3

Well whatever the reason, re-compiling the kernel does the trick and the iphone talks to itunes as advertised. Thanks for the tip. JJB

comment:41 in reply to: ↑ 39 Changed 6 years ago by zeddock

"Sure... I assume you have your kernel sources ready and compiled the kernel you're running yourself, else you might want to google on a "How to compile a kernel" -code, since I don't want to digress too much here."

Thank you so much for taking the time to describe the procedure. You scared the crap out of me so I will wait for now, until someone provides the fix in another fashion.

I would be willing to put some money into this fix but I cannot risk my system to my unsure hands.

Zeddock

comment:42 follow-ups: ↓ 43 ↓ 71 Changed 6 years ago by remainder

No need to recompile the whole kernel -- this should work on Ubuntu Hardy:

sudo apt-get build-dep linux-source-2.6.24
sudo apt-get install linux-source-2.6.24 build-essential
tar -jxvf /usr/src/linux-source-2.6.24.tar.bz2
cd linux-source-2.6.24/drivers/usb/core
perl -pi.bak -e 's/16384/131072/' devio.c
make -C /lib/modules/`uname -r`/build/ M=`pwd` modules
strip --strip-debug usbcore.ko
sudo install -m644 -b usbcore.ko /lib/modules/`uname -r`/kernel/drivers/usb/core
sudo depmod -ae
sudo update-initramfs -u
sudo reboot

comment:43 in reply to: ↑ 42 ; follow-up: ↓ 45 Changed 6 years ago by nohn

Replying to remainder:

No need to recompile the whole kernel -- this should work on Ubuntu Hardy:

Doesn't work.

comment:44 Changed 6 years ago by mikeymckay

I followed this guide for compiling the kernel:

 http://www.howtogeek.com/howto/ubuntu/how-to-customize-your-ubuntu-kernel/

Which was pretty straightforward. Before the "make-kpkg clean" line I edited the devio.c file as specified above.

I rebooted and itunes and my ipodtouch now work inside virtualbox. Unfortunately I seem to have lost my Ubuntu sound drivers in the process. :-(

comment:45 in reply to: ↑ 43 Changed 6 years ago by remainder

Replying to nohn:

Replying to remainder:

No need to recompile the whole kernel -- this should work on Ubuntu Hardy:

Doesn't work.

People may be more helpful if you provide more details.

comment:46 Changed 6 years ago by xente

Thanks for the fix. It works.

comment:47 follow-up: ↓ 52 Changed 6 years ago by zeddock

"sudo apt-get build-dep linux-source-2.6.24 sudo apt-get install linux-source-2.6.24 build-essential tar -jxvf /usr/src/linux-source-2.6.24.tar.bz2 cd linux-source-2.6.24/drivers/usb/core perl -pi.bak -e 's/16384/131072/' devio.c make -C /lib/modules/uname -r/build/ M=pwd modules strip --strip-debug usbcore.ko sudo install -m644 -b usbcore.ko /lib/modules/uname -r/kernel/drivers/usb/core sudo depmod -ae sudo update-initramfs -u sudo reboot "

Will this work for 64 bit please?

Thanx.

Zeddock

comment:48 Changed 6 years ago by georges

Hi,

I do not know for the ipod, but it made my opensuse slower (mouse specially was sluggish... on the USB port).

=> For my ipaq (sorry out of this direct ipod touch issue), it did not change anything compared to my initial post.

The nice trick to recompile the module (and not the full kernel) works though

Waiting for a "virtual box" solution....

comment:49 Changed 6 years ago by crobe

Hi, thanks for the hint for a fix, could someone provide a usbcore.ko module for a default ubuntu 2.6.24-21-generic kernel? I'm behind a 3G connection and getting 100mb for compiling a kernel is not what I intend. Thanks,

-rob

comment:50 follow-up: ↓ 88 Changed 6 years ago by crobe

OK, was a piece of work but I got it now.

 http://www.speedshare.org/download.php?id=1A5FEE2413 ( I hope its legal to post it here ) is a usbcore.ko module for Ubuntu linux-image-2.6.24-21-generic.

Go to /lib/modules/2.6.24-21-generic/kernel/drivers/usb/core, backup your current module, get mine, put it there, run "depmod -ae", run "update-initramfs -u" and reboot. Everything as root ( use sudo ).

Works perfectly with iTunes 7.7 and my iPod Touch 2.0.2.

comment:51 Changed 6 years ago by tienhn

remainder, Thanks for the tips. After building and installing the usbcore.ko, I can sync with iPod Touch no problem. A strange thing however is that I can no longer connect to an older iPod mini (normal USB disk type). Other USB drive seem to work fine still. Just FYI.

Cheers.

comment:52 in reply to: ↑ 47 Changed 6 years ago by tienhn

Replying to zeddock:

"sudo apt-get build-dep linux-source-2.6.24 sudo apt-get install linux-source-2.6.24 build-essential tar -jxvf /usr/src/linux-source-2.6.24.tar.bz2 cd linux-source-2.6.24/drivers/usb/core perl -pi.bak -e 's/16384/131072/' devio.c make -C /lib/modules/uname -r/build/ M=pwd modules strip --strip-debug usbcore.ko sudo install -m644 -b usbcore.ko /lib/modules/uname -r/kernel/drivers/usb/core sudo depmod -ae sudo update-initramfs -u sudo reboot "

Will this work for 64 bit please?

Thanx.

Zeddock

Should work for AMD64 too. I have done it and it fixed my connection with iPod Touch. Cheers.

comment:53 Changed 6 years ago by dnz16

It works partially(?)...

Host: Linux Slackware
Linux version 2.6.24.7-smp with #define MAX_USBFS_BUFFER_SIZE 131072

Guest: WindowsXP sp3
Synchronizing iPod-touch; OK
Updating iPod-touch firmware 2.0 -> 2.1; "gives diverse faults with itunes" and set iPod to recovery mode. After recovery (connected to other pc), sync works back fine within guest...

...but still a giant leap forward ;)

comment:54 Changed 6 years ago by eighthsin

I followed crobe's module and instructions. No errors. iTunes now recognizes my ipod touch.

However I can not sync music, nor update the firmware.The ipod indicates a sync taking place, but eventually times out and returns to the regular lock screen. The process in itunes just hangs. Using iTunes 8 (latest), in XP SP3 on a Kubuntu Hardy host. Using latest vbox (2.0.2).

Sadly I cannot offer any input on how to fix it, but I will be happy to provide logs if someone wants to tell me which may be of some use. I will mess around some more tomorrow, but I just wanted to get a status out there.

In either case, I feel this is a huge step forward!!

comment:55 Changed 6 years ago by bkummel

Interesting. Finally there's something happening regarding to this topic. I hope a "real" solution by VirtualBox itself will come out soon, because I don't want to mess around with my kernel...

comment:56 follow-up: ↓ 57 Changed 6 years ago by zeddock

Magical!

Worked for me on 64bit Ubuntu 8.04, latest vbox and iPhone3 3G. iTunes version 8 BTW.

Thanx all!

zeddock

comment:57 in reply to: ↑ 56 Changed 6 years ago by dgtlrift

subscribe

comment:58 Changed 6 years ago by stewfan

hm, want to subscribe as well, why is that disabled! ... a bit ot, anyway..! :)

comment:59 Changed 6 years ago by stewfan

It seems not to work if I replace usbcore.ko with the file from the link or using remainders steps. The error messsage is still unknown error occured (0xE8000035) and the phone won't appear in the list. Using ubuntu hardy, virtualbox 2.0.2, mounted usbfs, winxp sp2, current itunes 8, iphone 1. gen with fw 2.1. Has it anyone else running with a very similar configuration?

Thanks

comment:60 follow-up: ↓ 67 Changed 6 years ago by scottywz

Pretty interesting the only thing keeping the iPhone from working in VBox is a USBFS buffer size.

Makes me wonder how VMware fixed it without overwriting the kernel.

comment:61 Changed 6 years ago by eighthsin

stew, do you have EHCI (USB 2.0) enabled? try upgrading to SP3 as well, I think that was necessary to get the iphone working under vmware.

comment:62 Changed 6 years ago by shazow

Doesn't work for me.

Running:

Kernel 2.6.26-gentoo-r1 with modified MAX_USBFS_BUFFER_SIZE, VirtualBox 2.0.2, Windows XP Pro with all the latest updates, iTunes 8.0, iPhone 3G 2.1.

Also tried briefly on an Ubuntu Hardy machine running 2.6.24-20, still no luck.

In both cases, 0xE8000035 comes up when the iPhone is plugged in and then iTunes is started. If the iPhone is plugged in while iTunes is already running, nothing happens until iTunes is restarted.

Tried plugging/unplugging the iPhone in different stages, no help. I noticed that in some cases, dmesg said:

  usb 1-1: new high speed USB device using ehci_hcd and address 10
  usb 1-1: configuration #1 chosen from 3 choices
  usb 1-1: usbfs: interface 0 claimed by usbfs while 'VirtualBox' sets config #3

While in others, the VirtualBox line was missing. Neither worked with iTunes.

I'm really desperate to get my iPhone to sync, so I'm open to all sorts of fun kernel modifications.

comment:63 Changed 6 years ago by eighthsin

have you tried blacklisting the iphone in your host OS? linux will mount the iphone as a camera.

comment:64 Changed 6 years ago by stewfan

I guess ehci is enabled, as far as the host is concerned. I think there is ot option in VBox. The module ehci_hcd is loaded. I guess otherwise windows wouldn't recognize the iphone at all. I'll test sp3, but since shazow has the smae problem, probably there's another variable that makes it work or not.

comment:65 Changed 6 years ago by shazow

It works!

I had to run VirtualBox as root, and now it can connect. Running as a normal user still doesn't work. I also turned off hald, but I don't think that's related.

Very exciting.

comment:66 Changed 6 years ago by tienhn

Have you added your user name into vboxusers group? Also, you may need to add GROUP="vboxusers" in a couple of lines in the udev rules file.

Cheers,

comment:67 in reply to: ↑ 60 Changed 6 years ago by dgtlrift

Replying to scottywz:

Pretty interesting the only thing keeping the iPhone from working in VBox is a USBFS buffer size.

Makes me wonder how VMware fixed it without overwriting the kernel.

Take a look at this thread:  http://www.uwsg.indiana.edu/hypermail/linux/kernel/0603.0/0217.html

It seems that there is a malcontent about keeping vs changing this value to allow user space app developers to be "lazy" about how they handle USB data transport.

I get the impression that the patch mentioned above is the "quick and dirty" work around, until they can modify the algorithm to handle the communication better.

comment:68 Changed 6 years ago by stewfan

Still no success (i.e. same error message) with sp3 and/or starting as root... :/

comment:69 Changed 6 years ago by shazow

Still haven't been able to get this working as a normal user. Looks like all of my devices have the correct permissions:

# ls -lah /dev/vboxdrv
crw-rw---- 1 root vboxusers 10, 59 Sep 23 21:37 /dev/vboxdrv
# groups shazow
disk wheel audio cdrom video usb users cron plugdev speech games qemu scanner vboxusers vmware shazow

Unfortunately my /dev/usbdev* devices are owned by root:root by default, so I had to add a udev rule:

# cat /etc/udev/rules.d/10-local.rules
SUBSYSTEMS=="usb", ATTRS{product}=="iPhone", NAME="%k", SYMLINK="iphone", GROUP="usb"
# ls -lah /dev/usbdev*
crw-rw---- 1 root plugdev 189,  9 Sep 24 21:24 /dev/usbdev1.10
crw-rw---- 1 root usb     254, 30 Sep 24 21:24 /dev/usbdev1.10_ep00
crw-rw---- 1 root usb     254, 27 Sep 24 21:25 /dev/usbdev1.10_ep02
crw-rw---- 1 root usb     254, 31 Sep 24 21:25 /dev/usbdev1.10_ep04
crw-rw---- 1 root usb     254, 28 Sep 24 21:25 /dev/usbdev1.10_ep81
crw-rw---- 1 root usb     254, 29 Sep 24 21:25 /dev/usbdev1.10_ep83
crw-rw---- 1 root usb     254, 32 Sep 24 21:25 /dev/usbdev1.10_ep85
[... snip]

So it does set the permissions correctly, and I have the correct permissions, but iTunes still gives the same error when I run it as a normal user. Root still works fine.

Any idea what other devices VirtualBox might be accessing for this that it doesn't find permissions to?

comment:70 Changed 6 years ago by eighthsin

Are you able to fully sync running as root? Transfer music, firmware, etc?

I gave myself access on /etc/udev/rules.d/40-permissions.rules by doing:

# USB serial converters
SUBSYSTEM=="usb_device", GROUP=”usbusers”,  GOTO="usb_serial_start"
SUBSYSTEM=="usb", ENV{DEVTYPE}=="usb_device", GOTO="usb_serial_start"
GOTO="usb_serial_end"
LABEL="usb_serial_start"
ATTRS{idVendor}=="0403", ATTRS{idProduct}=="6001", \
                                        MODE="0660", GROUP="dialout"
LABEL="usb_serial_end"

I don't understand rules.d at all, I just picked that up on google.

comment:71 in reply to: ↑ 42 Changed 6 years ago by dgtlrift

Replying to remainder:

No need to recompile the whole kernel -- this should work on Ubuntu Hardy:

sudo apt-get build-dep linux-source-2.6.24
sudo apt-get install linux-source-2.6.24 build-essential
tar -jxvf /usr/src/linux-source-2.6.24.tar.bz2
cd linux-source-2.6.24/drivers/usb/core
perl -pi.bak -e 's/16384/131072/' devio.c
make -C /lib/modules/`uname -r`/build/ M=`pwd` modules
strip --strip-debug usbcore.ko
sudo install -m644 -b usbcore.ko /lib/modules/`uname -r`/kernel/drivers/usb/core
sudo depmod -ae
sudo update-initramfs -u
sudo reboot

Followed as prescribed and was able to detect and sync iphone. Then I got too ambitious and tried upgrading and now it is an expensive paperweight. This is lame.

comment:72 follow-up: ↓ 78 Changed 6 years ago by tienhn

Unless you have "jail break" your device, there is a great chance that you still can plug the device back into a native Windows system and rebuild your device back to factory condition. Also, using your device with VirtualBox is not violating any guaranty condition so you can just bring it back to Apple store to get help. This is just a case of flash upgrade went bad, it happen all the time :(.

Hope you can recover from this. Cheers,

comment:73 Changed 6 years ago by nathan

I had the same problem. I can sync, but trying to upgrade just leaves the phone in recovery mode. I had to restore/upgrade the phone on a mac, and then I could connect it to my VM again and reload my backup.

comment:74 Changed 6 years ago by tienhn

The firmware upgrade problem is not related or isolate to iPod/iPhone nor VirtualBox.

In general you should not use Virtual Machine to perform firmware upgrade. The reason is that before upgrade the device, the software must take the device off line and then set it into a different mode (recovery, native, or whatver they call it) so thtat it can push the firmware over before reboot; once the device is in this mode, your virtual machine won't reconnect the USB link any more and software won't be able to communicate with the device any more. Thus, your device is stuck in this limbo mode.

I have seen this happen to other USB device such as upgrade firmware for mobile phone.

So, the moral lesson: do not upgrade firmware on virtual machine, any virtual machine not only VirtualBox.

comment:75 follow-up: ↓ 79 Changed 6 years ago by nathan

I haven't tried another firmware update since doing this, but I've now set a USB filter in VirtualBox that will connect any device with "Apple Inc." in the Manufacturer field to the VM so that the phone will reconnect in recovery mode. Maybe this will help?

comment:76 Changed 6 years ago by zeddock

hmmm. That sounds like a great idea! Hope someone can check it soon. Then maybe you can explain how to do it for us newbs?

zeddock

comment:77 Changed 6 years ago by lixiaohong

i'm ok now. this is my info:

NoteBook: Dell latitude D830 OS: CentOS 5.2 ( kernel 2.6.18-92.1.13) Virtualbox: 1.6.6 Guest: windows xp sp2 Iphone: 16G ( 1.1.4)

before I start virtualbox, often do the following commands:

sudo chown -R xiaohong:vboxusers /proc/bus/usb sudo chmod -R g+w /proc/bus/usb

then I can use it to sync music and movie. it's great!

comment:78 in reply to: ↑ 72 Changed 6 years ago by dgtlrift

Replying to tienhn:

Unless you have "jail break" your device, there is a great chance that you still can plug the device back into a native Windows system and rebuild your device back to factory condition. Also, using your device with VirtualBox is not violating any guaranty condition so you can just bring it back to Apple store to get help. This is just a case of flash upgrade went bad, it happen all the time :(.

Hope you can recover from this. Cheers,

I can confirm that I can restore (and upgrade) from another native Windows Machine. My iPhone is now a phone again. It is no longer lame.

comment:79 in reply to: ↑ 75 Changed 6 years ago by dgtlrift

Replying to nathan:

I haven't tried another firmware update since doing this, but I've now set a USB filter in VirtualBox that will connect any device with "Apple Inc." in the Manufacturer field to the VM so that the phone will reconnect in recovery mode. Maybe this will help?

I ended up doing this, but it still didn't help - I tried sifting through the log to see what the deal is but couldn't find anything useful. The blanket apple vendor filter does make things a little smoother since you cannot add a new filter while the VM is running.

comment:80 follow-up: ↓ 89 Changed 6 years ago by scottywz

I'm on Ubuntu Intrepid, kernel 2.6.27-4-generic, with the MAX_USBFS_BUFFER_SIZE mod, VBox 2.0.2, XP Home SP3, iTunes 8.0.1, and an iPhone 2G with os 2.1. When I try to connect the phone, the Window$ Add New Hardware thing says the device can't start (error 10). I tried un- and reinstalling the driver to no avail.

Relevant VBox log:

13:48:21.902 VUSB: attached '0a0a46e0[proxy 05ac:1290]' to port 1
13:48:21.909 EHCI: USB Operational
13:49:26.655 EHCI: USB Suspended
13:49:28.216 VUSB: attached '09383fb8[proxy 05ac:1290]' to port 1
13:49:28.224 EHCI: USB Operational
13:51:07.493 EHCI: USB Suspended
13:51:08.824 VUSB: attached '09383fb8[proxy 05ac:1290]' to port 1
13:51:08.832 EHCI: USB Operational
13:55:06.478 EHCI: USB Suspended

looks normal. Any ideas?

comment:81 Changed 6 years ago by colin.surprenant

Ubuntu 8.04, kernel 2.6.24-19-generic VBox 2.0.2 Vista installed in virtual machine with USB + EHCI enabled in VBox config iTunes 8.0.1.11 iPhone 3G

When plugging in my iPhone, iTunes reports "iTunes could not connect to the phone "" because an unknown error occurred (0xE8000035)."

...installing Vista in VBox was specifically for using iTunes for syncing my iPhone... fail for me!

comment:82 Changed 5 years ago by Ciso

Can someone please upload a prepared usbcore.ko module for 2.6.27 kernel? Thank you.

comment:83 Changed 5 years ago by bkummel

Can someone please fix the problem in the next VBox release? :-(

comment:84 Changed 5 years ago by zeus77

Anyone have success with 2.0.4 (i.e. without the usbcore.ko hack)?

comment:85 follow-up: ↓ 86 Changed 5 years ago by sandervl73

A fix is scheduled for 2.1.

comment:86 in reply to: ↑ 85 Changed 5 years ago by scottywz

Replying to sandervl73:

A fix is scheduled for 2.1.

YAY!!! Finally!

comment:87 Changed 5 years ago by Ciso

Great!!! When (approximatively) will be released? :)

comment:88 in reply to: ↑ 50 Changed 5 years ago by christianroy

crobe: thanks a lot! This worked for me. I was relunctant to recompile the kernel myself - I've been using Linux/Ubuntu for one week and felt I needed some more experience before goint that way. :)

Replying to crobe:

OK, was a piece of work but I got it now.

 http://www.speedshare.org/download.php?id=1A5FEE2413 ( I hope its legal to post it here ) is a usbcore.ko module for Ubuntu linux-image-2.6.24-21-generic.

Go to /lib/modules/2.6.24-21-generic/kernel/drivers/usb/core, backup your current module, get mine, put it there, run "depmod -ae", run "update-initramfs -u" and reboot. Everything as root ( use sudo ).

Works perfectly with iTunes 7.7 and my iPod Touch 2.0.2.

comment:89 in reply to: ↑ 80 Changed 5 years ago by scottywz

Replying to scottywz:

I'm on Ubuntu Intrepid, kernel 2.6.27-4-generic, with the MAX_USBFS_BUFFER_SIZE mod, VBox 2.0.2, XP Home SP3, iTunes 8.0.1, and an iPhone 2G with os 2.1. When I try to connect the phone, the Window$ Add New Hardware thing says the device can't start (error 10). I tried un- and reinstalling the driver to no avail....

Well, I got it to work now per these instructions on 2.6.27-7-generic on Ubuntu Intrepid 32-bit. Here's my modded usbcore.ko for anyone interested:  http://www.scott-wallace.net/misc/usbcore.ko_2.6.27-7-generic_131072-mod.tar.gz

Extract usbcore.ko to your home directory and run this from your home directory:

chmod 644 usbcore.ko
sudo cp usbcore.ko /lib/modules/`uname -r`/kernel/drivers/usb/core
sudo depmod -ae
sudo update-initramfs -u
sudo reboot

and pray that it works.

comment:90 Changed 5 years ago by Ninety

I prayed, it worked. Woaw ! Thanks a lot man !

But why aren't you all posting on the forum ( http://forums.virtualbox.org/viewtopic.php?p=44025#44025) =) ? Another thing, I'd like to upgrade my iPod touch from 1.1.5 to 2.1 but how can I do this :

Replying to nathan:

I haven't tried another firmware update since doing this, but I've now set a USB filter in VirtualBox that will connect any device with "Apple Inc." in the Manufacturer field to the VM so that the phone will reconnect in recovery mode. Maybe this will help?

comment:91 Changed 5 years ago by huanix

Worked for me. I created a simple shell script to run the fix.

Direct download:  http://www.huanix.com/wp-content/uploads/2008/10/virtualbox_iphone.sh

Link to the post and instructions for running a shell script:

 http://www.huanix.com/2008/10/31/making-itunes-work-in-an-xp-virtualbox-machine-through-ubuntu/

comment:92 Changed 5 years ago by Ciso

Did not work for me (on 2 different pc). Tomorrow i will try the script ;)

comment:93 Changed 5 years ago by Ciso

Also the script doesn't work for me :(

comment:94 Changed 5 years ago by Ninety

By the way, it would be nice if we could upgrade the iPod firmware with the 2.1 release =).

comment:95 Changed 5 years ago by huanix

Okay, I modified my script to fix both problems with Ubuntu 8.10:

  1. USB doesn't work at all because there's no mount point; edit /etc/fstab to fix it.
  2. For the iPhone to sync, MAX_USBFS_BUFFER_SIZE needs to be modified in drivers/usb/core/devio.c

I tried this on fresh installs with 32 bit and AMD64 and it worked on both. If you want to try it, please follow the link to the post and read the instructions before proceeding. Let me know how it works.. i'll keep trying until i get it right!

 http://www.huanix.com/2008/11/03/fixing-usb-on-virtualbox-to-allow-iphone-sync-with-an-ubuntu-host-running-windows-xp/

comment:96 Changed 5 years ago by Ciso

Hi huanix! Thank you! Now works! My problem was in a wrong configuration of the /etc/fstab, so maybe also the previous script is ok ;) Thank you again!

comment:97 Changed 5 years ago by gckoopi

can anyone guide me how to do this on PClinxOS.. thx..

im too noob to do it myself...

-im new to Linux..

comment:98 Changed 5 years ago by sandervl73

  • Summary changed from iphone not connecting through to itunes on windows guest to iphone not connecting through to itunes on windows guest -> fixed in 2.1

comment:99 Changed 5 years ago by tienhn

Any idea of when will 2.1 will be released? Is there a beta version for us to test?

comment:100 Changed 5 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed
  • Summary changed from iphone not connecting through to itunes on windows guest -> fixed in 2.1 to iphone not connecting through to itunes on windows guest -> fixed in 2.6.6

2.0.6 released, it should fix your problems.

comment:101 Changed 5 years ago by bhamail

Sweeet! Downloading now...Open Source rocks!!!

comment:102 Changed 5 years ago by bhamail

iTunes in WinXP (on Ubuntu 8.04), vbox 2.0.6 can not find my iPhone. Thanks. VBox Rocks! ;)

comment:103 Changed 5 years ago by bhamail

Typo in prior post: I mean "CAN" find my iPhone

comment:104 Changed 5 years ago by jackkerouac

  • Status changed from closed to reopened
  • Resolution fixed deleted

NOT fixed in Intrepid. I still get the 800035 error.

comment:105 Changed 5 years ago by jackkerouac

Specifically, I am running Ubuntu Intrepid with a Windows XP SP3 guest, trying to connect to an iPod Touch 2.1. Still doesn't connect - no change since 2.0.4.

comment:106 Changed 5 years ago by huanix

I can confirm that the fix in 2.0.6 DID work on two separate test boxes, i386, Ubuntu 8.10 running VirtualBox 2.0.6 (deb and repo), Windows XP and iTunes 8.0.2.

I was able to sync my iPhone on both of these machines.

I did have to correctly edit /etc/fstab for this to work. My /etc/fstab entry looks like this:
none /proc/bus/usb usbfs devgid=125,devmode=664 0 0

I did have a complete script for automating the process, I will modify that script to check for the correct version of VirtualBox and edit /etc/fstab correctly.  http://www.huanix.com

comment:107 follow-up: ↓ 108 Changed 5 years ago by huanix

This is from the Ubuntu forum: (docplastic)  http://ubuntuforums.org/showthread.php?t=828927 - it should add the correct line to /etc/ftsab.

echo "none /proc/bus/usb usbfs devgid="$(sed '/plugdev/!d;s/plugdev:\(.*\):.*/\1/' /etc/group)",devmode=664 0 0" | sudo tee -a /etc/fstab

comment:108 in reply to: ↑ 107 Changed 5 years ago by Quaxo76

Doesn't work for me too. Host is Kubuntu Intrepid, guest is XP SP2. I had iTunes 8.0.1. After updating virtualbox to 2.0.6 it still didn't work. I updated iTunes to 8.0.1, I rebuilt the kernel drivers, rebooted, still nothing. My fstab contains the needed line to activate USB (and besides, other USB devices work). When I plug my iPod Touch 2G, a popup window opens, asking if I want to download photos to the pc (the iPod is seen as a camera), but iTunes refuses to connect to the iPod. Basically, no difference between 2.0.4 and 2.0.6: I still get the same error.

comment:109 Changed 5 years ago by pentagonik

  • Summary changed from iphone not connecting through to itunes on windows guest -> fixed in 2.6.6 to iphone not connecting through to itunes on windows guest -> fixed in 2.0.6

comment:110 Changed 5 years ago by no_mind

I have upgraded to version 2.0.6, but I get the same error as in previous versions.

I'm using Ubuntu Intrepid, guest is Win XP SP2 and the iTunes version is 8.0.1.11

Screenshot:  http://img.xrmb2.net/images/751861.png

comment:111 Changed 5 years ago by martinlindhe

WARNING: DONT TRY TO UPGRADE IPHONE FIRMWARE USING VIRTUALBOX!!

Syncronising now works with Virtualbox 2.0.6. However, upgrading iPhone firmware renders the iPhone useless (from 2.1 to 2.2) and you need to perfrom a factory reset (loosing valuable data from the phone).

comment:112 Changed 5 years ago by dnz16

However due to my earlier post (09/22/08 23:25:00 changed by dnz16), where it partially worked (but with a failed firmware update), and to the post of martinlindhe, it now worked for me.

With a remark; while updating the firmware of my ipod:
I manually connect the ipod to guest every time after a disconnection (could be between 3 and 5 times).

So in my situation:
Updated itunes from 8.0.1 to 8.0.2 (ipod had to sync again), then check for new firmware and let itunes start the update process. After getting the message restore to factory setting (keep ipod connected - i did this for 2 times, I was too late the first time, to make a connection...) it restored the factory settings with the new firmware 2.2. Then connect to itunes and let ipod sync to your previous library, in my case it just messed up my icons which i placed manually (an ipod option - hold an icon for 2 sec - wobbly effect). I didn't loose any adjustment in an application nor setting.

In the end it worked, but it seems that itunes responds very slowly in guest OS when my ipod is connected. I dont know if it had to do with my ealier compiled kernel, or...

So, if you are willing to try this, do it at own risk, it just worked for me like this at first time!

info:
System Host:
Linux slackware 12.1
Kernel 2.6.27.7 (with previous mod to MAX_USBFS_BUFFER_SIZE in /usr/src/linux/drivers/usb/core/devio.c)
Virtualbox 2.0.6

System Guest:
Microsoft Windows XP with SP3 [Version 5.1.2600.5512 (xpsp.080413-2111)] and 2.0.6 guest add.
IE8 beta 2 [8.0.6001.18241]
iTunes 8.0.2.20

  • a pleased user ;)

comment:113 follow-up: ↓ 114 Changed 5 years ago by nathan

Seems to be fixed for me running Virtualbox 2.0.6 on Ubuntu 8.10, Windows XP SP2 guest with iTunes 8.0.2. Haven't tried a firmware update yet (will soon), but syncing works fine.

comment:114 in reply to: ↑ 113 Changed 5 years ago by scottywz

Replying to nathan:

Seems to be fixed for me running Virtualbox 2.0.6 on Ubuntu 8.10, Windows XP SP2 guest with iTunes 8.0.2. Haven't tried a firmware update yet (will soon), but syncing works fine.

I wouldn't try that in VirtualBox. Use a physical machine to upgrade because people have had their phones damaged doing it in VirtualBox. It's ok to sync with it though.

comment:115 follow-up: ↓ 116 Changed 5 years ago by nathan

Do you have any links documenting that kind of damage? I've only seen stories of it working for some people so far, but I could have missed the bad ones somehow.

comment:116 in reply to: ↑ 115 Changed 5 years ago by scottywz

Comments 71, 73, and 79, but that was a while ago. I Googled "iphone firmware upgrade virtualbox" and found  this, so maybe I'm wrong.

comment:117 Changed 5 years ago by zeddock

I can attest to difficult problems which had to be resolved by a visit to the Apple store. However, I suppose "damage" is a little much for what I have had to go through.

Still, the problems were to the extent that others should consider similar to damage in that their iPhone/iPod will not be usable without involved actions. Even then, full recovery can be difficult! (I personally lost much data.)

zeddock.

comment:118 Changed 5 years ago by nathan

I did try upgrading the firmware once (before I had set a filter to reconnect Apple devices automatically) and was stuck in recovery mode. I had made sure to sync before trying the upgrade, so I had a full backup. I used someone else's iMac to restore the phone (and upgrade the firmware), then restored the backup from VirtualBox. Nothing I would consider damage, but it's a hassle if you can't get easy access to a Mac. Just make sure you have a good backup.

comment:119 follow-up: ↓ 120 Changed 5 years ago by Quaxo76

Back to the original problem of ipod not connecting... I tried a complete uninstall/reinstall of virtualbox, and I recreated a new disk image and installed a totally fresh Windows XP instance on it. Installed iTunes 8.0.2... and it doesn't work. Windows "sees" the iPod, and offers me to download the photos from it; but iTunes fails with the error "E8000035".

I did the exact same steps on my desktop pc, and there it works! Both have the same version of Kubuntu Intrepid (constantly updated) and the same version of virtualbox and of iTunes.

So it seems there's something hardware-dependent. The new fix seems to work only on some USB controllers (or some chipsets or whatever)... Any chance to find a workaround for this?

Cristian

comment:120 in reply to: ↑ 119 Changed 5 years ago by huanix

I concur with Christian's experience. I did not have the problem myself, but I have helped two users that were having what appeared to be hardware-related (usb) connection problems. After using a PCI usb add-on card (Dynex) the iPhone would connect. I am still (slowly) gathering more data, but I believe this affects Asus K8Upgrade 760GX running BIOS version P1.30. I'm tempted to pick one up just to see for myself.

Replying to Quaxo76:

So it seems there's something hardware-dependent. The new fix seems to work only on some USB controllers (or some chipsets or whatever)... Any chance to find a workaround for this?

Cristian

comment:121 Changed 5 years ago by huanix

Sorry, I called it an Asus mobo, it an ASRock K8Upgrade 760Gx - here's the manufacturer page:

 http://www.asrock.com/mb/overview.asp?Model=K8Upgrade-760GX&s=

comment:122 Changed 5 years ago by Quaxo76

Update... I found the solution (at least on my system). Turns out I only had the "basic" 1.1 usb support. I had to enable the 2.0 support. Now the iPod Touch is seen by both computers. It surely is rather obvious, and I should have noticed earlier; but when you enable usb, virtualbox leaves the 2.0 support disabled by default. That might be why I missed it. Could someone else who has this problem check if it solves it for them too?

Cristian

comment:123 Changed 5 years ago by huanix

Hrmph. I'm glad you resolved your issue Cristian. I'm still curious about the folks who swear they've done everything correctly, even after a step-by-step walkthrough and are still having difficulty connecting. I think I'm going to chalk that up to user error unless someone else has a similar experience.

comment:124 Changed 5 years ago by zeddock

I don't think it can be called "fixed". I was able to get it working before the "fix" was released.

My expectation was that I would simply be able to connect my iPod and iPhone without issue, but many additional steps were involved. For instance, I had 2.0 usb enabled, but had to un-select 2.0, reboot, then re-engage and reboot. This was in addition to vboxdvr reset. (from memory, please forgive.)

zeddock

comment:125 Changed 5 years ago by Quaxo76

Anyway, besides the iPod problem (which is solved for me), there is still my Geiger counter that's not working... it's "seen" by virtualbox, Windows makes the "bling" noise when I plug it in, but the dedicated software says there's no geiger counter attached to any USB port... So maybe there's still some work needed on the USB code...

comment:126 Changed 5 years ago by nohn

Still doesn't work with 2.1.0

comment:127 Changed 5 years ago by nathan

Upgraded my iPhone to 2.2 today, no problems. Using Windows XP SP3 in Virtualbox 2.1 on Ubuntu 8.10, with a filter in Virtualbox that auto-connects any Apple device ("Apple, Inc." in the Manufacturer field) to the virtual machine.

comment:128 Changed 5 years ago by OmnipotentEntity

Does not work in x64 Ubuntu 8.10 (kernel 2.6.27-11-generic) with version 2.1.2.

comment:129 follow-up: ↓ 131 Changed 5 years ago by nathan

Just synced my iphone again to make sure it was still working after the previous comment. 64 bit Ubuntu 8.10, Virtualbox 2.1.2, etc. Works great, no problems.

comment:130 Changed 5 years ago by soloeltigre

Dual boot, Vista Home ed and Ubuntu 64amd 8.10 both running the same iso of WinXP Pro via Virtualbox 2.1.2 and lastest itunes 8 (as of 9 Feb 09).

Under Vista, my 1st gen itouch will sync in Win XP; however, under Ubuntu the itouch is not "seen" by itunes, only as a photo device under My Computer,

Both have USB 2.0, and I have edited my fstab to make USB work under Ubuntu.

Both are virtual manchines are running the lastest service packs of Win XP Pro. I have also tried every usb port on my DV9720us laptop, and same issue, works under Vista but not Ubuntu.

comment:131 in reply to: ↑ 129 Changed 5 years ago by Morimando

Had it working with editing the usbcore file previous to 2.0. At the moment I am running Virtualbox 2.1.4 (in Gentoo with a Windows XP guest) and neither the Kodak printer nor the Nokia phone or the iPod touch (firmware 2.1) work any more. All of the are only working in Vista, not in the virtual machine :( tried both "fixed" usbcore & virtualbox 2.1.4 as well as 2.1.4 with "normal" usbcore. :(

comment:132 Changed 5 years ago by lark

My problem was that I had connected it to the wrong usb port. Try to connect on all of them.

comment:133 Changed 5 years ago by MrX1980

Please try it with v3.0.0 again.

comment:134 Changed 5 years ago by dnz16

Please try it with v3.0.0 again.

OK done, with Virtualbox 3.0.2 (see also  http://forums.virtualbox.org/viewtopic.php?f=2&t=19691#p86117).

comment:135 Changed 5 years ago by Morimando

didn't have the guts to try with the iPhone yet, but it seems the ipod synchs just fine in 3.0 now. At least it did not get deleted but reported a successful sync. Unfortunately the darn printer still isn't working (never going to buy Kodak again). Hopefully that will work, too, in the future (printer is recognized, driver installed, even firmware apparently gets updated, but the problem seems to be with simultaneous, bidirectional data-exchange, since it has problems spooling/updating cartridge status. anyways, different topic) So thumbs up, Virtualbox-team!

comment:136 Changed 5 years ago by cornbread

Newest Itunes 8.2.1 and latest virtualbox 3.0.2 doesn't allow for syncing/restore with ipod touch in recovery mode

comment:137 Changed 5 years ago by OmnipotentEntity

I was able to make the iPhone work in 3.0 by setting up a catchall USB forward. Works for sync/restore and also even jailbreak.

comment:138 follow-up: ↓ 139 Changed 5 years ago by cornbread

Are you talking about a blank usb filter? I tried that and it still didn't work.

comment:139 in reply to: ↑ 138 Changed 5 years ago by OmnipotentEntity

Replying to cornbread:

Are you talking about a blank usb filter? I tried that and it still didn't work.

The iPhone and iPod Touch self identifies as several different devices depending on what it's doing, so if you need to recover it or jailbreak it, you'll probably want to check the USB filter menu when the device reboots.

comment:140 follow-up: ↓ 141 Changed 5 years ago by Morimando

Have USB filters in place, Virtualbox 3.0.2, iTunes newest version (8.1.2 iirc), Gentoo amd64 host and WIndows XP guest, 6GB RAM. Syncing seems to work fine, songs get transferred, images get transfered etc. After sync i disconnected the iPhone (2G), tapped on iPod, iPod app crashed. Rebootes iPhone to determine whether it's just a fluke, still not working. Reconnected it to the Box, fired up iTunes, iTunes then says the phone is corrupted and needs to be reset. However, resetting the phone doesn't work, it gets stuck somewhere when installing the Firmware (it does NOT disconnect and reconnect in this stage!), iTunes reports an "unknown error" and stops. So... no luck, iPhone bricked for the moment :(

comment:141 in reply to: ↑ 140 ; follow-up: ↓ 142 Changed 5 years ago by dnz16

Replying to Morimando:

...it gets stuck somewhere when installing the Firmware (it does NOT disconnect and reconnect in this stage!), iTunes reports an "unknown error" and stops. So... no luck, iPhone bricked for the moment :(

Doesn't disconnect??

If it does but doesn't reconnect then (also check my comment; 2008-11-25 22:35:05) start your XP guest, while updating or resetting your iPod, constantly check with the usb icon of the VirtualBox guest window (and the iPod display, you will see the usb-cable logo). If you see it disconnected, wait 1...3sec and reconnect it your self, iTunes will catch up with your iPod again and continue updating/resetting/etc...

(It also worked for me, to pull out the usb connector and put it back in again and let VirtualBox connect again. I dont know if it is a VirtualBox, VirtualBox-guest or a host issue, it seems to me that one of these have to release the usb port for a little moment)

comment:142 in reply to: ↑ 141 ; follow-up: ↓ 143 Changed 5 years ago by Morimando

Replying to dnz16:

Replying to Morimando:

...it gets stuck somewhere when installing the Firmware (it does NOT disconnect and reconnect in this stage!), iTunes reports an "unknown error" and stops. So... no luck, iPhone bricked for the moment :(

Doesn't disconnect??

If it does but doesn't reconnect then (also check my comment; 2008-11-25 22:35:05) start your XP guest, while updating or resetting your iPod, constantly check with the usb icon of the VirtualBox guest window (and the iPod display, you will see the usb-cable logo). If you see it disconnected, wait 1...3sec and reconnect it your self, iTunes will catch up with your iPod again and continue updating/resetting/etc...

(It also worked for me, to pull out the usb connector and put it back in again and let VirtualBox connect again. I dont know if it is a VirtualBox, VirtualBox-guest or a host issue, it seems to me that one of these have to release the usb port for a little moment)

"Have USB filters in place" << what I wanted to say with that is that I already have set up the rules to automatically connect the iPhone to the box, whether in restore mode or in normal operating mode, so it gets reconnected automatically. After the first reconnect (restore mode, iTunes prepares firmware, iPhone reboots into normal mode, progress bar on iphone appears), nothing happens progress-wise, although the phone is connected to the box and thus iTunes, then the "unknown error occured" dialog-box pops up.

comment:143 in reply to: ↑ 142 Changed 5 years ago by dnz16

Replying to Morimando:

Ok. I don't use any filters for the iPod... I'll set this up next time when firmware update is available.

I experienced also same kind of error, while the progress bar appeared. As I remember, I accidentally disconnected the iPod. Can you try once without an iPod filter, and manage the (re-)connections manually during rebooting? (sometimes wait with connecting in VirtualBox till the connect-logo apears on the iPod  http://www.ipodtouchfans.com/forums/imgcache2/40799.png).

comment:144 Changed 5 years ago by Morimando

Okay... tried the iPod (Firmware 2.2.1, so it isn't a 3.0 issue), restore started, iPod reconnected, again "unknown error" when the progress bar appears on the screen. Manually as well as using the filters :/ So i restored the iPod in Windows (laptop) and then tried syncing it in the VirtualBox again. iPod is recognized, then asks me whether I want to restore it from a backup, which i chose. While restoring the backup, iTunes again prompts with an error, this time saying the iPod has been disconnected, which it hasn't, from what i can see, as the Box still says that the iPod is connected. My first guess what that it might have to do with jailbroken vs. non-jailbroken devices, but that's off the table. Next thing I suspect is the Gnome automount function, prompting me to import photos via GThumb. As the automount window appears every time the device reports back (which means that it also reports back during the restore!), that might as well be the source. So the people that got it working.. do you have an automount-prompt within the host? And KDE or Gnome or lightweight window manager?

comment:145 follow-up: ↓ 146 Changed 5 years ago by Morimando

...extensive testing later... automounting disabled, iPod connected and recognized, synced with prior restore in "normal" XP, so clean slate to transfer loads of stuff on. Music & photos synced w/o errors or any other unusual behavior, disconnected after sync (ejected via button, prior). Opening music on iPod => "No music. You can load music via iTunes.". Same w/ photos. When I now reconnect the iPod to the Box, iTunes prompts "Can not read contents of iPod. You have to restore..." :( epic fail

comment:146 in reply to: ↑ 145 ; follow-up: ↓ 148 Changed 5 years ago by thueber

I followed Morimandos description and could verify, that it works for me. I'm using:

  • VirtualBox-3.0.2_49928_fedora11-1.i586
  • Fedora release 11 (Leonidas)
  • on linux 2.6.29.5-191.fc11.i686.PAE
  • Windows XP SP2 32bit

I removed all USB filters and created a new, empty one (not sure if that is a different bug, but I still had to select the individual devices).

Also stop hald (service hal-deamon stop) to prevent your linux system from trying to access and mount it. The iPhone appears as a different USB device when connected in recovery mode than when it is in normal mode, so make sure the USB device is also visible within the virtual machine.

Could not see any problems afterwards with syncing or other usage.

comment:147 Changed 5 years ago by dnz16

Different issue(??), but also an interesting and/or helpfull topic; iPhone syncing problem  http://forums.virtualbox.org/viewtopic.php?f=7&t=18715.

comment:148 in reply to: ↑ 146 ; follow-up: ↓ 151 Changed 4 years ago by mike3050

[SPAM]

comment:149 Changed 4 years ago by Baze

using

OS:CentOS 5.2 (kernel 2.6.18-8) Guest:XP SP3 Vbox:3.0.2 iPhone:3Gs (3.1.2) iTunes:8.0 (had to downgrade since 9.x was crashing on start)

iPhone seems to be recognized by XP (I can even copy photos using MS Camera!), but for some reason iTunes does not seem to see anything.Tired with the empty filter and stopping HAL approach but to no avail!

Any suggestions?

comment:150 Changed 4 years ago by nohn

 http://www.libimobiledevice.org/ works perfectly for the most important iphone tasks on linux

comment:151 in reply to: ↑ 148 Changed 4 years ago by mikeqw

[SPAM]

comment:152 Changed 3 years ago by danleyvilla

[SPAM]

comment:153 Changed 3 years ago by klaus

No idea why people "attack" this ticket, but I'm now deleting the account of whoever posts advertising messages/links.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use